/*
 * Copyright (c) 2016 Oracle and/or its affiliates.  All rights reserved.
 *
 * This software is dual-licensed to you under the MIT License (MIT) and
 * the Universal Permissive License (UPL).  See the LICENSE file in the root
 * directory for license terms.  You may choose either license, or both.
 */

package com.oracle.iot.sample;

import android.app.Fragment;
import android.os.Bundle;

import java.util.ArrayList;

public class RetainedFragment extends Fragment {
    private ArrayList<Beacon> beaconsFound = new ArrayList<Beacon>();

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRetainInstance(true);
    }

    public void setBeaconsFound(ArrayList<Beacon> beacons) {
        beaconsFound = beacons;
    }

    public ArrayList<Beacon> getBeaconsFound() {
        return beaconsFound;
    }
}
